%define major 6
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Summary:	Abraction/convenience libraries for OpenEXR
Name:		ilmbase 
Version:	1.0.1
Release:	%mkrel 5
Group:		System/Libraries
License:	BSD
URL:		http://www.openexr.com
Source0:	http://download.savannah.nongnu.org/releases/openexr/ilmbase-%{version}.tar.bz2
Patch0:		%{name}-1.0.0-pthread.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Half is a class that encapsulates the ilm 16-bit floating-point format.

IlmThread is a thread abstraction library for use with OpenEXR
and other software packages.

Imath implements 2D and 3D vectors, 3x3 and 4x4 matrices, quaternions
and other useful 2D and 3D math functions.

Iex is an exception-handling library.

%package -n %{libname}
Summary:	Abraction/convenience libraries for OpenEXR
Group:		System/Libraries

%description -n %{libname}
Half is a class that encapsulates the ilm 16-bit floating-point format.

IlmThread is a thread abstraction library for use with OpenEXR
and other software packages.

Imath implements 2D and 3D vectors, 3x3 and 4x4 matrices, quaternions
and other useful 2D and 3D math functions.

Iex is an exception-handling library.


%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Requires:	mesaglu-devel
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Conflicts:	OpenEXR-devel < 1.4.1

%description -n %{develname}
Development files for %{name}.

%prep
%setup -q
%patch0 -p1 -b .pthread

./bootstrap

%build
%configure2_5x \
	--disable-static

%make

%check
make check

%install
rm -rf %{buildroot}

%makeinstall_std

rm -f  %{buildroot}%{_libdir}/lib*.la

%clean
rm -rf %{buildroot}

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%files -n %{libname}
%defattr(-,root,root,-)
%{_libdir}/lib*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog  NEWS README
%{_includedir}/OpenEXR/
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*


%changelog
* Sat Jan 12 2008 Anssi Hannula <anssi@mandriva.org> 1.0.1-5mdv2008.1
+ Revision: 149384
- devel conflicts with old OpenEXR-devel

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Dec 19 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.1-4mdv2008.1
+ Revision: 133192
- fix provides for devel package

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Nov 28 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.1-3mdv2008.1
+ Revision: 113732
- do not package COPYING file
- somehow ilmbase-devel is not on hdlist :/

* Sat Nov 17 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.1-2mdv2008.1
+ Revision: 109523
- somehow this version is missing on mirrors

* Tue Nov 06 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.1-1mdv2008.1
+ Revision: 106418
- new version

* Sun Oct 21 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.0-2mdv2008.1
+ Revision: 101047
- fix requires for devel package

* Sun Oct 21 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.0-1mdv2008.1
+ Revision: 100967
- import ilmbase


